Archive for 4月, 2010



30
4月

6コアCPU、Phenom II X6が発売


格安の6コアCPU、Phenom II X6が発売に、22,000円から

あぁぁぁあいいなぁ~・・・

欲しいけど、今のメインPC組んでからまだ1年しか経ってないしなぁ~

メインPCはもう1年我慢しよう・・・(´・ω・`)

それよかクアッドコアで自宅サーバー組みなおしたいなぁ~

28
4月

Vine5.x用のphp-5.3.2


PHP5.3.2がリリースされてたからずっとRPMのビルドに四苦八苦しておりましたが・・・

ようやく作ることができましたヽ(´ー`)ノ

いつもなら
1.php5-5.3.1-1vl5.src.rpmをダウンロードしてきてインストール

> rpm -ivh php5-5.3.1-1vl5.src.rpm


2.php-5.3.2.tar.bz2をダウンロードしてきてphp-5.3.1.tar.bz2と差し替え
> cd /usr/src/vine/SOUCES > wget http://jp2.php.net/get/php-5.3.2.tar.bz2/from/jp.php.net/mirror > rm -f php-5.3.1.tar.bz2


3.SPECファイルのバージョンを5.3.2に修正
> vi /usr/src/vine/SPECS/php53.spec


4.ビルド
> rpmbuild -ba --clean /usr/src/vine/SPECS/php53.spec


5.アップグレード
> rpm -Uvh php5-5.3.2-1vl5.i386.rpm ・・・

で完了なのですが、今回もビルドは一応完了するもののphp5-5.3.2-1vl5.i386.rpmに含まれる依存関係が1箇所おかしなことになるのです(´・ω・`)

> rpm -qpR php5-5.3.2-1vl5.i386.rpm alternatives php5-pear = 5.3.2-1vl5 rpmlib(VersionedDependencies) <= 3.0.3-1 /bin/sh /bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1 /usr/src/vine/BUILD/php-5.3.2/build-cgi/sapi/cli/php libbz2.so.1 ・ ・ ・

( ´゚д゚`)???

悩み続けること2日・・・どうやら最後に依存関係を勝手に追加してくださる”find-requires”が悪さしているというとこまではわかったのですが、これをどうやって正常な値(/usr/bin/php5)に修正すればよいのやら・・・

試行錯誤した結果、最終的にspecファイルに下記を追加してphp-5.3.2のrpmビルド用”find-requires”を作って正常な値に修正するという荒業で凌ぎました(゚Д゚)

--- php53.spec 2010-04-28 23:03:00.000000000 +0900 +++ php53.spec.org 2010-04-28 23:02:38.000000000 +0900 @@ -341,6 +341,10 @@ #========================== %prep +echo "%{__find_requires} | sed -e 's|${RPM_BUILD_DIR}/%{srcname}/build-cgi/sapi/cli/php|%{_bindir}/php5|g'" > %{_tmppath}/find-requires-php +chmod +x %{_tmppath}/find-requires-php +%define __find_requires %{_tmppath}/find-requires-php + %setup -q -n %{srcname} %patch33 -p1 -b .phpincludedir

↑は/var/tmpにfind-requires-phpを作って”find-requires”として認識させております。

find-requires-phpは単純に”find-requires”の結果から/usr/src/vine/BUILD/php-5.3.2/build-cgi/sapi/cli/phpを/usr/bin/php5に置換しているだけです。

結果以下のようにちゃんと修正されました

> rpm -qpR php5-5.3.2-1vl5.i386.rpm alternatives php5-pear = 5.3.2-1vl5 rpmlib(VersionedDependencies) <= 3.0.3-1 /bin/sh /bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1 /usr/bin/php5 libbz2.so.1 ・ ・ ・

よかったよかった・゚・(ノД`)・゚・

23
4月

PHP5.3.2がリリースされてた


というわけでVine5用のRPMをビルドしてみたのですが・・・

ビルドは完了するのですがなぜかアップグレードでコケる(´・ω・`)

CLIだけうまくコンパイルできていないっぽくてBUILDディレクトリにCLIがないよ!

的な意味不明なエラーがでるのです(´・ω・`)

う~ん・・・もうちょっと頑張ってみよう・・・

20
4月

ジャストシステムが妙なメールソフトを発売


ジャストシステム、戦国時代や幕末の気分を味わえるメールソフトを発売

なんだこれ・・・(゚Д゚)

SHURIKENのテーマみたいにして販売したほうがいいような気がするんですけど・・・

ジャストシステムはいったいどこへ向かおうとしているんだろう( ´ー`)

17
4月

AMD Phenom II X4 960Tを6コア化


AMD Phenom II X4 960T 3.3GHz 6コア化されたスクリーンショット公開

>ASUSTeKオリジナル機能となる Core Unlocker Report

今はそんな機能がついてるのね( ´ー`)

私は最初から6コアのCPUを買いますけどね!

14
4月

RLoginがまたパワーアップしてる!


超高性能なターミナルエミュレータ「RLogin」

以前紹介させて頂きましたRLoginですが、ここのところ開発が非常に活発化しており、ますますパワーアップしております。

そんなこんなで(え

もうひとつ欲しい機能があったのでダメもとで作者様にお願いしたところ快く???次回のVerUpに組み込んで頂けることに!

     *      *
  *        +  
     n ∧_∧ n
 + (ヨ(* ´∀`)E)
      Y     Y    *

作者様にはもう足を向けて眠れません!

10
4月

AQUOS SHOT SH006を買った!


AQUOS SHOT SH006

デジカメ1210万画素!

ワンセグ!

タッチパネル!

などなど機能満載ですが、なによりWi-Fi WINに魅かれてSH006を買いました(*´д`*)

自宅の無線LANに繋いでネットがサクサク見れるししかもパケ代が0円!

さらにWifi WINは2011年6月まで無料!!(それ以降は月額525円掛かります)なんということでしょう(*´д`*)

MZK-MF150を使っているのですが問題なく無線LANできました( ´ー`)

シンプルコース24回払いの方がフルサポートコースより3000円くらい安いらしいのですが、分割払い嫌いな人なのでフルサポートコース一括+auポイントで34000円くらいで買えました。

テンションあがるわぁ~*・゜゚・*:.。..。.:*・゜(n‘∀‘)η゚・*:.。. .。.:*・゜゚・*

7
4月

CM690 II Plusが4/16に発売


[新製品] ミドルタワーの鉄板ケースが進化した上位モデル、CoolerMaster「CM690II Plus」4月16日発売開始

おー!

ついに発売されるようですね( ´ー`)

それよりも今はAQUOS SHOT SH006が欲しいのです。

今使ってる携帯がかれこれ3年経つのでそろそろ新しいものがホスィ…

でも57,000円という箆棒な値段なのよね~高いわね~

2
4月

Opera10.5xのバグ


高速化するのはいいんですが、いろいろとバグ満載でリリースするのはちょっとどうかと思う(´・ω・`)

ググるといろいろバグが報告されていますが、まだ未報告?(未確認?)なバグが1つあります。

リンクとクリックすると時々設定でホームページにしたサイトがリンクとは関係なく表示されることがちょくちょくあります。

早く直してくださいね!

それと2010年3月のPostfixのスパムメール対策の結果です。
Postfix単体で99.83%
Postfix+Procmailで100%
でした( ´ー`)

1
4月

エイプリルフール恒例???のカネゴンのブログ


カネゴンの78ちゃんねるまとめブログ

すでに終了してしまいましたが、めちゃめちゃ面白かったですw

来年も期待してます円谷さん( ´ー`)

now loading...